IBM Support

Which releases of DB2 for Linux, Unix, and Windows are supported on Windows 8.1 and Windows 2012 R2?

Technote (troubleshooting)


Problem(Abstract)

DB2 currently is only supported on Windows 8.1 or Windows 2012 R2 environments, when you install at least Version 9.7 Fix pack 10, Version 10.1 Fix pack 4 or Version 10.5 Fix pack 4.

Symptom

The db2prereqcheck fails since Operating system is not supported.


Cause

DB2 is not supported on Windows 8.1 or Windows 2012 R2 for the following Versions and Fixpak levels:

Version 9.5 and lower
Version 9.7 Fix pack 9 and lower
Version 10.1 Fix pack 3 and lower
Version 10.5 Fix pack 3 and lower


Environment

Windows 2012 R2, Windows 8.1

Diagnosing the problem

Check system requirements for up to date information on the Systems Requirements for DB2 page.

Resolving the problem

Windows 8.1 and Windows 2012 R2 support is now supported for:

Version 10.1 Fix pack 4 and higher

Version 10.5 Fix pack 4 and higher

Version 9.7 Fixpak 10 and higher.

Related information

System requirements for DB2 Products
db2prereqcheck
V9.7 now supported info

Document information

More support for: DB2 for Linux, UNIX and Windows
Install/Migrate/Upgrade - Install/Setup - Command Line

Software version: 9.7, 10.1, 10.5

Operating system(s): Windows

Reference #: 1665082

Modified date: 18 November 2015